From: Bastian Germann <bage@debian.org>
Date: Tue, 4 Mar 2025 17:30:09 +0100
Subject: Disable SpellChecker on Linux
---
diff --git a/linphone-app/CMakeLists.txt b/linphone-app/CMakeLists.txt
index d3e0e7b..6aa879a 100644
--- a/linphone-app/CMakeLists.txt
+++ b/linphone-app/CMakeLists.txt
@@ -132,7 +132,7 @@ if(ENABLE_QT_KEYCHAIN)
 	endif()
 endif()
 
-if(NOT APPLE AND NOT WIN32)
+if(APPLE AND NOT WIN32)
 	if(NOT ISPELL_TARGET_NAME)
 		set(ISPELL_TARGET_NAME "ISpell")
 	endif()
@@ -342,7 +342,6 @@ set(SOURCES
 	src/components/other/timeZone/TimeZoneListModel.cpp
 	src/components/other/timeZone/TimeZoneProxyModel.cpp
 	src/components/other/units/Units.cpp
-	src/components/other/spell-checker/SpellChecker.cpp
 	src/components/participant/ParticipantModel.cpp
 	src/components/participant/ParticipantListModel.cpp
 	src/components/participant/ParticipantProxyModel.cpp
@@ -493,7 +492,6 @@ set(HEADERS
 	src/components/other/timeZone/TimeZoneListModel.hpp
 	src/components/other/timeZone/TimeZoneProxyModel.hpp
 	src/components/other/units/Units.hpp
-	src/components/other/spell-checker/SpellChecker.hpp
 	src/components/participant/ParticipantModel.hpp
 	src/components/participant/ParticipantListModel.hpp
 	src/components/participant/ParticipantProxyModel.hpp
@@ -595,7 +593,6 @@ else ()
 		src/components/other/desktop-tools/DesktopToolsLinux.cpp
 		src/components/other/desktop-tools/screen-saver/ScreenSaverDBus.cpp
 		src/components/other/desktop-tools/screen-saver/ScreenSaverXdg.cpp
-		src/components/other/spell-checker/SpellCheckerLinux.cpp
 		)
 	list(APPEND HEADERS
 		#src/app/single-application/SingleApplicationDBusPrivate.hpp
@@ -728,7 +725,7 @@ include_directories("${LINPHONE_OUTPUT_DIR}/include/OpenGL")
 include_directories("${LINPHONE_OUTPUT_DIR}/include/")
 include_directories("${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/")
 include_directories("${QTKEYCHAIN_OUTPUT_DIR}/include/")
-if(NOT APPLE AND NOT WIN32)
+if(APPLE AND NOT WIN32)
 	include_directories("${ISpell_BINARY_DIR}/include")
 endif ()
 
diff --git a/linphone-app/src/app/App.cpp b/linphone-app/src/app/App.cpp
index e11fd07..9af7c17 100644
--- a/linphone-app/src/app/App.cpp
+++ b/linphone-app/src/app/App.cpp
@@ -44,7 +44,6 @@
 #include "components/history/CallHistoryProxyModel.hpp"
 #include "components/other/date/DateModel.hpp"
 #include "components/other/desktop-tools/DesktopTools.hpp"
-#include "components/other/spell-checker/SpellChecker.hpp"
 #include "config.h"
 #include "logger/Logger.hpp"
 #include "paths/Paths.hpp"
@@ -793,7 +792,6 @@ void App::registerTypes() {
 	registerType<ParticipantDeviceProxyModel>("ParticipantDeviceProxyModel");
 	registerType<SoundPlayer>("SoundPlayer");
 	registerType<TelephoneNumbersModel>("TelephoneNumbersModel");
-	registerType<SpellChecker>("SpellChecker");
 
 	registerSingletonType<AudioCodecsModel>("AudioCodecsModel");
 	registerSingletonType<OwnPresenceModel>("OwnPresenceModel");
diff --git a/linphone-app/cmake_builder/linphone_package/CMakeLists.txt b/linphone-app/cmake_builder/linphone_package/CMakeLists.txt
index b4d6590..a1d2d95 100644
--- a/linphone-app/cmake_builder/linphone_package/CMakeLists.txt
+++ b/linphone-app/cmake_builder/linphone_package/CMakeLists.txt
@@ -333,7 +333,6 @@ else()# Not Windows and Apple
 		install(FILES "${QT_PATH}/plugins/webview/libqtwebview_webengine.so" DESTINATION "plugins/webview")	#Workaround : linuxdeploy doesn't deploy it
 	endif()
 # ISPELL
-	install(DIRECTORY "${ISpell_SOURCE_DIR}/ispell_dictionaries" DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/${EXECUTABLE_NAME}" USE_SOURCE_PERMISSIONS)
 endif ()
 
 
